import DartSymbol from '../../../symbols/dartSymbol.js';
import BTModule, { BTGridData, CheckResult } from '../data.js';
export default class DartBTModule extends BTModule {
    instr: DartSymbol;
    private cachedCheckResult?;
    constructor(instr: DartSymbol);
    checkGlobal(grid: BTGridData): CheckResult | false;
    private buildCheckAndRating;
}
